Subject: [PATCH V4 0/9] Add mandatory regulator for all users of pwm-backlight.

From: [email-masked] (Alex Courbot)
Date: Wed, 20 Mar 2013 11:24:48 +0900

On 03/20/2013 11:14 AM, Shawn Guo wrote:
> On Tue, Mar 19, 2013 at 11:59:24AM -0700, Andrew Chew wrote:
>> Many backlights are enabled via GPIO.  We can generalize the GPIO to a
>> fixed regulator.
>>
> I think we should push the series of "Runtime Interpreted Power
> Sequences" moving forward, which should be useful this case and many
> other cases as well.
>
> http://thread.gmane.org/gmane.linux.kernel/1395912

That's still the medium-term plan. But doing this correctly requires 
some improvements to be done in the GPIO subsystem, which I am pushing 
at the moment.

Eventually power sequences should handle this kind of scenario, but by 
the meantime it cannot hurt to get the job done.

Alex.